#pragma once

#include <Array.h>
#include <Drawing.h>
#include <Button.h>

class RecipieGroup : public Framework::DrawableBackground
{
private:
    Framework::Image* icon;
    Framework::RCArray<Framework::Drawable> recipies;
    Framework::Text toolTip;
    Framework::Button* previousPage;
    Framework::Button* nextPage;
    int currentPage;
    int maxPage;

public:
    RecipieGroup();
    ~RecipieGroup();

    void addRecipie(Framework::Drawable* recipie);
    void setIcon(Framework::Image* icon);
    void setToolTip(Framework::Text toolTip);

    bool tick(double tickVal) override;
    void render(Framework::Image& rObj) override;
    void doMouseEvent(Framework::MouseEvent& me, bool userRet) override;

    Framework::Image* zIcon() const;
    Framework::Text getToolTip() const;
};